---
inputType: "CA10__CaAwsDbInstance__c"
testData:
  - file: test-data.json
importExtracts:
  - file: /types/CA10__CaAwsDbInstance__c/object.extracts.yaml
conditions:
  - status: "COMPLIANT"
    currentStateMessage: "RDS Instance Auto Minor Version Upgrade feature is enabled."
    check: 
      IS_EQUAL:
        left:
          EXTRACT: CA10__autoMinorVersionUpgrade__c
        right:
          BOOLEAN: true 
otherwise:
  status: "INCOMPLIANT"
  currentStateMessage: "RDS Instance Auto Minor Version Upgrade feature is disabled."
  remediationMessage: "Enable Auto Minor Version Upgrade feature for this RDS Instance."
